The deals
GET/v1/deals
The day's credible deals. Costs 5 credits per 60 rows. Stops at page 5.
Parameters
-
categorystringoptionalThe category key, from /v1/news/categories.
-
storestringoptionalThe shop key, from /v1/prices/stores.
-
pageintegeroptionaldefault 1The page, from 1 to 5.
Possible errors
curl "https://api.satelit.md/v1/deals" \
-H "Authorization: Bearer $SATELIT_KEY" const res = await fetch("https://api.satelit.md/v1/deals", {
headers: { Authorization: `Bearer ${process.env.SATELIT_KEY}` },
});
const { data, meta } = await res.json();
console.log(data, meta.credits); import json, os, urllib.request
req = urllib.request.Request(
"https://api.satelit.md/v1/deals",
headers={"Authorization": f"Bearer {os.environ['SATELIT_KEY']}"},
)
with urllib.request.urlopen(req) as res:
body = json.load(res)
print(body["data"], body["meta"]["credits"]) <?php
$ch = curl_init("https://api.satelit.md/v1/deals");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["Authorization: Bearer " . getenv("SATELIT_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
curl_close($ch);
print_r($body["data"]); {
"data": [
{
"name": "Sampon Margarita Oud Wood 400 ml",
"brand": "Margarita",
"capacity": "400 ml",
"category": "personal_care",
"store": {
"key": "globalstore",
"name": "Globalstore"
},
"price": 89.9,
"old_price": 215.49,
"discount_pct": 58,
"save": 125.59,
"unit_price": 224.75,
"unit": "l",
"stores": 1,
"url": "https://globalstore.md/pages/product/00129745-sampon-margarita-400-ml-oud-wood"
},
{
"name": "Hrană uscată pentru câini Club 4 Paws Premium Adult Active All Breeds 14 kg",
"brand": "Club",
"capacity": "14 kg",
"category": "pets",
"store": {
"key": "pandashop",
"name": "PandaShop"
},
"price": 886,
"old_price": 1938,
"discount_pct": 54,
"save": 1052,
"unit_price": 63.29,
"unit": "kg",
"stores": 1,
"url": "https://pandashop.md/ro/product/premium-activ-14kg-00266101/"
}
],
"meta": {
"credits": 5,
"updated_at": "2026-11-02T13:05:00+02:00",
"sources": [
{
"name": "Globalstore",
"license": "none: read from the shop's public pages; no agreement with the shop and no licence over its data is granted"
},
{
"name": "PandaShop",
"license": "none: read from the shop's public pages; no agreement with the shop and no licence over its data is granted"
}
],
"attribution": "Date: Satelit (satelit.md)",
"page": {
"page": 1,
"per": 60,
"total": 6,
"pages": 1
}
}
}